Subject: bug#47688: 28.0.50; repeat-mode: Make rectangle commands repeatable. Also some misc. queries, comments

From: Dmitry Gutov <[email-masked]>
Date: Sat, 10 Apr 2021 17:54:38 +0300

On 10.04.2021 16:04, Ramesh Nedunchezian wrote:

> Hydra -- this is part of GNU Emacs / GNU ELPA -- uses one of the 3
> types
> 
>      (defcustom hydra-hint-display-type 'lv
>        "The utility to show hydra hint"
>        :type '(choice
> 	      (const message)
> 	      (const lv)
> 	      (const posframe))
>        :group 'hydra)
> 
> (https://github.com/abo-abo/hydra/blob/2d553787aca1aceb3e6927e426200e9bb9f056f1/hydra.el#L249)
> 
> Hydra's hints are very pleasant to look at, and hydra is one of the
> frequently mentioned package in reddit.com/r/emacs.

Nothing against Hydra, but its hints are even noisier than what have now 
with repeat-mode.

> I am attaching screenshots of how the 'lv' and 'posframe' hints looks
> like for one of the "fancier" hydras in the project's README
> (https://github.com/abo-abo/hydra)
> 
> The core idea behind my suggestion is that /the/ repeat map itself is
> the best judge on what sort of hint is the best.

Right.

But some recommendations for less obtrusive notifications could be helpul.

> I understand that repeat-mode's "Repeat with ..." and "Exit with ..."
> messages are more of informational / diagonsic messages.  The messages
> need stop at being diagnostic assurances. They can go a step further
> and be hints.
> 
> 'nil'--do nothing--as a ':help'-er is what an experienced user may
> want.  A verbose hint is what a beginner will appreciate.

So it might use a user option as well.

But when hints are enabled, I'm looking for some version that's less 
in-your-face than Hydra.

> Rectangle, register and highlight commands are very useful ... and
> when I was new to Emacs they were bothersome to type and remember.
> /Younger/ me would have /loved/ a hydra-like hints.

No doubt.